Bug 19246 - [UXA] GLX_SGI_make_current_read missing from glx extension
[UXA] GLX_SGI_make_current_read missing from glx extension
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
unspecified
Other All
: medium normal
Assigned To: Eric Anholt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 19:22 UTC by zhao jian
Modified: 2009-07-05 20:32 UTC (History)
0 users

See Also:


Attachments
xorg.conf (3.76 KB, text/plain)
2008-12-22 19:24 UTC, zhao jian
Details
xorg.0.log (57.38 KB, text/plain)
2008-12-22 19:24 UTC, zhao jian
Details
glxinfo diffs between UXA and EXA (1.38 KB, text/plain)
2008-12-22 19:25 UTC, zhao jian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhao jian 2008-12-22 19:22:51 UTC
System Environment:
----------------------
Host:        gm45
Arch:          i386
OSD:            Fedora release 10 (Cambridge)
Kernel:    2.6.28-rc8
Libdrm:     (master)                0243c9f801a35de3465a0321c02f18a4d07ce5b8
Mesa:       (intel-2008-q4)         f96baeaac3ef41260ac3975750627ece073fdce0
Xserver:    (server-1.6-branch)     32e81074b967716865aef08b66ec29caf0fec2c5
Xf86_video_intel:    (xf86-video-intel-2.6-branch) 83f3c376b5942e134047a220e6e5f2432ffc492c
GEM Kernel: (for-airlied branch)  88493410cbe68eb267c540fbb0f6809a1a4124d6

Bug Description:
---------------------
When run the case wincopy, it will return a message: this program requires either GLX 1.3 or GLX_SGI_make_current_read. With EXA, it runs well. I checked the glxinfo of them and find with UXA there is no support of GLX_SGI_make_current_read in glx extension. The diff file is in attachment. 

Reproduce steps:
----------------
1.enable UXA
2.xinit&
3. run xdemo/wincopy.
Comment 1 zhao jian 2008-12-22 19:24:07 UTC
Created attachment 21425 [details]
xorg.conf
Comment 2 zhao jian 2008-12-22 19:24:47 UTC
Created attachment 21426 [details]
xorg.0.log
Comment 3 zhao jian 2008-12-22 19:25:57 UTC
Created attachment 21427 [details]
glxinfo diffs between UXA and EXA
Comment 4 Eric Anholt 2008-12-29 11:52:31 UTC
Not a release blocker.
Comment 5 zhao jian 2009-03-18 20:54:42 UTC
It still existed on gm45-32 with the following configuration:
Kernel_version:         2.6.29-rc6
Libdrm:         (master)2e2e8575b1ed4703653a72ac2b60b75316c388d7
Mesa:            (mesa_7_4_branch)a8528a2e8653b5237c1d1d66fe98c6e031d007f9
Xserver:         (server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:      (2.7)238c2c40afd9f8b61479b8640d53f20d52fd7ddf
Comment 6 zhao jian 2009-06-10 00:38:37 UTC
It still existed with the newest code on gm45. 
Comment 7 Eric Anholt 2009-07-05 10:22:05 UTC
commit fd4eed69e40cf090aa16e79a8596eb1442461829
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Jul 2 15:24:54 2009 -0700

    dri2: Enable GLX_SGI_make_current_read when the DRI driver supports it.
    
    This matches idr's 82f150d73cc9a7d8eaf7241a51b03af05bcec159 for DRI1.
Comment 8 Gordon Jin 2009-07-05 19:41:09 UTC
It should be noted the commit is on xserver master.
Comment 9 zhao jian 2009-07-05 20:32:48 UTC
(In reply to comment #8)
> It should be noted the commit is on xserver master.

Thanks Gordon. With the newest code, it now has GLX_SGI_make_current_read support now. Verified with: 
Libdrm:(master)72a29340ea3225550db6b009f4e50c77c7b1f394
Mesa:(master)862488075c5537b0613753b0d14c267527fc6199
Xserver:(master)fd4eed69e40cf090aa16e79a8596eb1442461829
Xf86_video_intel:(master)74227141923a2f5049592219ab80e8733062a5d9
Kernel:  (drm-intel-next)1ae8c0a56eeb3ed358b78ccadd024d6b721f26bc